# Ogre::TargetManager Class Reference

An abstract interface, implemented by OverlayManager, to return a GuiElement at a given x,y position. More...

`#include <OgreTargetManager.h>`

List of all members.

## Public Member Functions

virtual PositionTarget * | getPositionTargetAt (Real x, Real y)=0

## Detailed Description

An abstract interface, implemented by OverlayManager, to return a GuiElement at a given x,y position.

Remarks:
  Custom TargetManagers can be written to get a 3D element from an x,y position so you can write mouse listeners for your 3D objects.

Definition at line 56 of file OgreTargetManager.h.

## Member Function Documentation

virtual PositionTarget* Ogre::TargetManager::getPositionTargetAt | ( | Real | x,
|  | Real | y
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- OgreTargetManager.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:40:40 2005